"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const prettier_1 = require("prettier");
const { getPrettierConfig } = require('@iceworks/spec');
function prettierJS(jsFiles) {
    const prettierOption = getPrettierConfig('react');
    prettierOption.parser = 'babel';
    return jsFiles.map((entity) => {
        let { data } = entity;
        try {
            data = prettier_1.format(entity.data, prettierOption);
        }
        catch (e) {
            console.error('error', e);
        }
        return {
            ...entity,
            data,
        };
    });
}
exports.default = prettierJS;
